package com.ruoyi.system.domain.grid;

import java.io.Serializable;

public class GridCompanySafeCheck implements Serializable {
    private String id;

    /**
     * 企业id
     *
     * @mbg.generated
     */
    private String companyId;

    /**
     * 检查时间
     *
     * @mbg.generated
     */
    private String checkTime;

    /**
     * 签到打卡经度
     *
     * @mbg.generated
     */
    private String clockLongitude;

    /**
     * 签到打卡维度
     *
     * @mbg.generated
     */
    private String clockLatitude;

    /**
     * 检查人id
     *
     * @mbg.generated
     */
    private String checkUserId;

    /**
     * 检查人姓名
     *
     * @mbg.generated
     */
    private String checkUserName;

    /**
     * 检查状态（合格，不合格，复检合格，复检不合格）
     *
     * @mbg.generated
     */
    private String checkStatus;

    /**
     * 1:有效 0：无效
     *
     * @mbg.generated
     */
    private String isValid;

    /**
     * 创建时间
     *
     * @mbg.generated
     */
    private String createTime;

    /**
     * 检查类型
     *
     * @mbg.generated
     */
    private String checkType;

    /**
     * 检查反馈
     *
     * @mbg.generated
     */
    private String checkFeedback;

    private static final long serialVersionUID = 1L;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getCompanyId() {
        return companyId;
    }

    public void setCompanyId(String companyId) {
        this.companyId = companyId;
    }

    public String getCheckTime() {
        return checkTime;
    }

    public void setCheckTime(String checkTime) {
        this.checkTime = checkTime;
    }

    public String getClockLongitude() {
        return clockLongitude;
    }

    public void setClockLongitude(String clockLongitude) {
        this.clockLongitude = clockLongitude;
    }

    public String getClockLatitude() {
        return clockLatitude;
    }

    public void setClockLatitude(String clockLatitude) {
        this.clockLatitude = clockLatitude;
    }

    public String getCheckUserId() {
        return checkUserId;
    }

    public void setCheckUserId(String checkUserId) {
        this.checkUserId = checkUserId;
    }

    public String getCheckUserName() {
        return checkUserName;
    }

    public void setCheckUserName(String checkUserName) {
        this.checkUserName = checkUserName;
    }

    public String getCheckStatus() {
        return checkStatus;
    }

    public void setCheckStatus(String checkStatus) {
        this.checkStatus = checkStatus;
    }

    public String getIsValid() {
        return isValid;
    }

    public void setIsValid(String isValid) {
        this.isValid = isValid;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public String getCheckType() {
        return checkType;
    }

    public void setCheckType(String checkType) {
        this.checkType = checkType;
    }

    public String getCheckFeedback() {
        return checkFeedback;
    }

    public void setCheckFeedback(String checkFeedback) {
        this.checkFeedback = checkFeedback;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", companyId=").append(companyId);
        sb.append(", checkTime=").append(checkTime);
        sb.append(", clockLongitude=").append(clockLongitude);
        sb.append(", clockLatitude=").append(clockLatitude);
        sb.append(", checkUserId=").append(checkUserId);
        sb.append(", checkUserName=").append(checkUserName);
        sb.append(", checkStatus=").append(checkStatus);
        sb.append(", isValid=").append(isValid);
        sb.append(", createTime=").append(createTime);
        sb.append(", checkType=").append(checkType);
        sb.append(", checkFeedback=").append(checkFeedback);
        sb.append("]");
        return sb.toString();
    }

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        GridCompanySafeCheck other = (GridCompanySafeCheck) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
            && (this.getCompanyId() == null ? other.getCompanyId() == null : this.getCompanyId().equals(other.getCompanyId()))
            && (this.getCheckTime() == null ? other.getCheckTime() == null : this.getCheckTime().equals(other.getCheckTime()))
            && (this.getClockLongitude() == null ? other.getClockLongitude() == null : this.getClockLongitude().equals(other.getClockLongitude()))
            && (this.getClockLatitude() == null ? other.getClockLatitude() == null : this.getClockLatitude().equals(other.getClockLatitude()))
            && (this.getCheckUserId() == null ? other.getCheckUserId() == null : this.getCheckUserId().equals(other.getCheckUserId()))
            && (this.getCheckUserName() == null ? other.getCheckUserName() == null : this.getCheckUserName().equals(other.getCheckUserName()))
            && (this.getCheckStatus() == null ? other.getCheckStatus() == null : this.getCheckStatus().equals(other.getCheckStatus()))
            && (this.getIsValid() == null ? other.getIsValid() == null : this.getIsValid().equals(other.getIsValid()))
            && (this.getCreateTime() == null ? other.getCreateTime() == null : this.getCreateTime().equals(other.getCreateTime()))
            && (this.getCheckType() == null ? other.getCheckType() == null : this.getCheckType().equals(other.getCheckType()))
            && (this.getCheckFeedback() == null ? other.getCheckFeedback() == null : this.getCheckFeedback().equals(other.getCheckFeedback()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getCompanyId() == null) ? 0 : getCompanyId().hashCode());
        result = prime * result + ((getCheckTime() == null) ? 0 : getCheckTime().hashCode());
        result = prime * result + ((getClockLongitude() == null) ? 0 : getClockLongitude().hashCode());
        result = prime * result + ((getClockLatitude() == null) ? 0 : getClockLatitude().hashCode());
        result = prime * result + ((getCheckUserId() == null) ? 0 : getCheckUserId().hashCode());
        result = prime * result + ((getCheckUserName() == null) ? 0 : getCheckUserName().hashCode());
        result = prime * result + ((getCheckStatus() == null) ? 0 : getCheckStatus().hashCode());
        result = prime * result + ((getIsValid() == null) ? 0 : getIsValid().hashCode());
        result = prime * result + ((getCreateTime() == null) ? 0 : getCreateTime().hashCode());
        result = prime * result + ((getCheckType() == null) ? 0 : getCheckType().hashCode());
        result = prime * result + ((getCheckFeedback() == null) ? 0 : getCheckFeedback().hashCode());
        return result;
    }
}